2017-12-18 23:18 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001443Orfeo Toolbox (OTB)Generalpublic2017-08-07 10:20
Reportersebastic 
Assigned Torashadkm 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001443: Fails to build with cmake 3.9.0
DescriptionAs reported by Adrian Bunk in Debian Bug #869888:

https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/otb.html

...
-- Found LibSVM: /usr/lib/libsvm.so
-- Found OpenCV: /usr/lib/x86_64-linux-gnu/libopencv_core.so (found version "2.4.9")
-- Try to compile libsiftfast.cpp -- yes.
CMake Error at Modules/ThirdParty/SiftFast/src/CMakeLists.txt:54 (else):
  A duplicate ELSE command was found inside an IF block.


-- Configuring incomplete, errors occurred!



The attached patch fixes the issue by removing the second else command.
TagsNo tags attached.
Attached Files
  • patch file icon cmake-3.9.0.patch (560 bytes) 2017-07-27 16:59 -
    Description: Fix build failure with CMake 3.9.0.
    Author: Bas Couwenberg <sebastic@debian.org>
    Bug-Debian: https://bugs.debian.org/869888
    
    --- a/Modules/ThirdParty/SiftFast/src/CMakeLists.txt
    +++ b/Modules/ThirdParty/SiftFast/src/CMakeLists.txt
    @@ -51,7 +51,6 @@ if( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COM
                 message(FATAL_ERROR "Impossible to compile libsiftfast. Contact OTB development team")
             endif()
             set(OTB_DISABLE_FAST_FUNCTIONS_VALUE 1)
    -    else()
             message(STATUS "Try to compile libsiftfast.cpp done.")
         endif()
     
    
    patch file icon cmake-3.9.0.patch (560 bytes) 2017-07-27 16:59 +

-Relationships
+Relationships

-Notes

~0004248

rashadkm (developer)

I had pushed your fix to release-6.0 branch. I will check tomorrow on dashboard and merge it to develop.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-27 16:59 sebastic New Issue
2017-07-27 16:59 sebastic File Added: cmake-3.9.0.patch
2017-07-28 11:08 rashadkm Note Added: 0004248
2017-07-28 11:08 rashadkm Assigned To => rashadkm
2017-07-28 11:08 rashadkm Status new => assigned
2017-08-07 10:20 rashadkm Status assigned => resolved
2017-08-07 10:20 rashadkm Resolution open => fixed
+Issue History